PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgetrf_Tile_Async | ( | PLASMA_desc * | A,
|  | int * | IPIV,
|  | PLASMA_sequence * | sequence,
|  | PLASMA_request * | request
| ) |  |

PLASMA_zgetrf_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_zgetrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters

  [in] | sequence | Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
  [out] | request | Identifies this function call (for exception handling purposes).

See also
  PLASMA_zgetrf
  PLASMA_zgetrf_Tile
  PLASMA_cgetrf_Tile_Async
  PLASMA_dgetrf_Tile_Async
  PLASMA_sgetrf_Tile_Async
  PLASMA_zgetrs_Tile_Async